madkit.message.hook

## Class OrganizationEvent

- java.lang.Object
- - madkit.kernel.Message
  - - madkit.message.ObjectMessage<HookMessage.AgentActionEvent>
    - - madkit.message.hook.HookMessage
      - - madkit.message.hook.CGREvent
        - - madkit.message.hook.OrganizationEvent

- All Implemented Interfaces:
    Serializable, Cloneable

      public class OrganizationEvent
      extends CGREvent

  A message which is sent to agents that have requested a hook on `HookMessage.AgentActionEvent.CREATE_GROUP`, `HookMessage.AgentActionEvent.REQUEST_ROLE`, `HookMessage.AgentActionEvent.LEAVE_GROUP`, or `HookMessage.AgentActionEvent.LEAVE_ROLE`
  Since:
    MadKit 5.0.0.19
  Version:
    0.9
  Author:
    Fabien Michel
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class madkit.message.hook.HookMessage

      `HookMessage.AgentActionEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationEvent(HookMessage.AgentActionEvent agentAction, AgentAddress source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentAddress` | `getSourceAgent()` Returns the address of the agent that did the request.

    - ### Methods inherited from class madkit.message.hook.CGREvent

      `toString`

    - ### Methods inherited from class madkit.message.ObjectMessage

      `getContent, max, min, sort`

    - ### Methods inherited from class madkit.kernel.Message

      `clone, getConversationID, getReceiver, getSender`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrganizationEvent

          public OrganizationEvent(HookMessage.AgentActionEvent agentAction,
                           AgentAddress source)

  - ### Method Detail

    - #### getSourceAgent

          public AgentAddress getSourceAgent()

      Description copied from class: `CGREvent`
      Returns the address of the agent that did the request.
      Specified by:
        `getSourceAgent` in class `CGREvent`
      Returns:
        the name of the agent that triggers the event

Fabien Michel, Olivier Gutknecht, Jacques Ferber - April 30 2015